[Cubicweb] trustedauth: cannot get it to work

Aurélien Campéas aurelien.campeas at logilab.fr
Mon Aug 19 14:19:48 CEST 2013


On 16/07/2013 16:28, Dimitri Papadopoulos Orfanos wrote:
> Dear all,
>

Hello Dimitri,


> I'm unable to get cubicweb-trustedauth to work.
>
> I have created a custom application cube for our Brainomics/Imagen
> server. As far as I can tell this cube is making use of
> 'cubicweb-trustedauth':
>
> $ cat /usr/share/cubicweb/cubes/imagen/__pkginfo__.py
> [...]
> __depends__ =  {'cubicweb': '>= 3.16.1',
>                  'cubicweb-brainomics': None,
>                  'cubicweb-trustedauth': None,
> }


By design ? This is a bit weird imho since trustedauth should
typically be plugged/unplugged at will without package declaration
(although I believe cubicweb maybe doesn't help since (if ?) it
_requires_ an entry in __depends__ to make add_cube('trustedauth')
work).


Did you look at trustedauth/wdoc/setup.rst ?
It does contain useful notes wrt its usage.

I have had a look at your patch and it looks good.


Regards,
Aurélien.




More information about the Cubicweb mailing list